OGRE-Next: Ogre::D3D11StereoDriverBridge Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D11StereoDriverBridge Class Reference

Bridge interface from the render system to the stereo driver. More...

`#include <OgreD3D11StereoDriverBridge.h>`

Inheritance diagram for Ogre::D3D11StereoDriverBridge:
[legend]

## Public Member Functions
| D3D11StereoDriverBridge (StereoModeType stereoMode)
virtual | ~D3D11StereoDriverBridge ()
bool | addRenderWindow (D3D11RenderWindowBase *renderWindow) const
StereoModeType | getStereoMode () const
bool | isStereoEnabled (const String &renderWindowName) const
bool | removeRenderWindow (const String &renderWindowName) const
bool | setDrawBuffer (const ColourBufferType colourBuffer) const
Public Member Functions inherited from Ogre::Singleton< D3D11StereoDriverBridge >
| Singleton ()
| ~Singleton ()

## Static Public Member Functions
static D3D11StereoDriverBridge & | getSingleton ()
static D3D11StereoDriverBridge * | getSingletonPtr ()
Static Public Member Functions inherited from Ogre::Singleton< D3D11StereoDriverBridge >
static D3D11StereoDriverBridge & | getSingleton ()
static D3D11StereoDriverBridge * | getSingletonPtr ()

## Detailed Description

Bridge interface from the render system to the stereo driver.

Loads the correct driver and forwards the methods to the stereo driver implementation.

## Constructor & Destructor Documentation

## ◆ D3D11StereoDriverBridge()

Ogre::D3D11StereoDriverBridge::D3D11StereoDriverBridge | ( | StereoModeType | stereoMode | ) |

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~D3D11StereoDriverBridge()

virtual Ogre::D3D11StereoDriverBridge::~D3D11StereoDriverBridge | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRenderWindow()

bool Ogre::D3D11StereoDriverBridge::addRenderWindow | ( | D3D11RenderWindowBase * | renderWindow | ) | const

## ◆ getSingleton()

static D3D11StereoDriverBridge & Ogre::D3D11StereoDriverBridge::getSingleton | ( |  | ) |
| static

References D3D11StereoDriverBridge().

## ◆ getSingletonPtr()

static D3D11StereoDriverBridge * Ogre::D3D11StereoDriverBridge::getSingletonPtr | ( |  | ) |
| static

References D3D11StereoDriverBridge().

## ◆ getStereoMode()

StereoModeType Ogre::D3D11StereoDriverBridge::getStereoMode | ( |  | ) | const

## ◆ isStereoEnabled()

bool Ogre::D3D11StereoDriverBridge::isStereoEnabled | ( | const String & | renderWindowName | ) | const

## ◆ removeRenderWindow()

bool Ogre::D3D11StereoDriverBridge::removeRenderWindow | ( | const String & | renderWindowName | ) | const

## ◆ setDrawBuffer()

bool Ogre::D3D11StereoDriverBridge::setDrawBuffer | ( | const ColourBufferType | colourBuffer | ) | const

The documentation for this class was generated from the following file:

- OgreD3D11StereoDriverBridge.h